/**
 *
 */
public class ColoredCard extends Card {
    private String color;
    public static final String set = "\u001B[0m";
    public static final String green = "\u001B[32m";
    public static final String red = "\u001B[31m";
    public static final String yellow = "\u001B[33m";
    public static final String blue = "\u001B[34m";

    /**
     * create a Colored card that according to subClasses create a special kind of colored cards
     *
     * @param color
     * @param score
     */
    public ColoredCard(String color, int score) {
        super(score);
        setScore(score);
        setColor(color);
    }

    /**
     * get the color of card
     *
     * @return
     */
    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }


    @Override
    public String toString() {
        String s ="|$$$$$$$$$$$$$$$|\n";
        s +="|               |\n";
        s +="|       "+name+"       |\n";
        s +="|               |\n";
        s +="|$$$$$$$$$$$$$$$|\n";
        return s;
    }

    @Override
    public void print() {
        String first = null;
        if (color.equals("red")) {
            first = red;
        } else if (color.equals("yellow")) {
            first = yellow;
        } else if (color.equals("blue")) {
            first = blue;
        } else if (color.equals("green")) {
            first = green;}
            System.out.println(first + toString() + set);
    }
}
